Bug 182243 - new-kernel-pkg fails to quote multiboot arguments (mbargs) correctly
Summary: new-kernel-pkg fails to quote multiboot arguments (mbargs) correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-21 12:37 UTC by Avi Kivity
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 18:30:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
improved quoting for new-kernel-pkg --mbargs parameter (735 bytes, patch)
2006-02-21 12:37 UTC, Avi Kivity
no flags Details | Diff

Description Avi Kivity 2006-02-21 12:37:45 UTC
Description of problem: 
 
running new-kernel-pkg with --mbargs="a b c" fails to quote the arguments 
correctly, confusing grubby and failing. 
 
 
Version-Release number of selected component (if applicable): 
mkinitrd-5.0.23-1 
 
 
How reproducible: 
 
any day, any time 
 
 
Steps to Reproduce: 
1. # /sbin/new-kernel-pkg --package blah --mkinitrd --depmod --install 
2.6.15-1.1948_FC5smp --multiboot=/boot/xen.gz --mbargs='dom0_mem=250000 nosmp' 
--banner blah 
   
Actual results: 
grubby complains 
 
Expected results: 
grub entry installed 
 
Additional info: 
patch attached

Comment 1 Avi Kivity 2006-02-21 12:37:45 UTC
Created attachment 124948 [details]
improved quoting for new-kernel-pkg --mbargs parameter

Comment 2 Jeremy Katz 2006-02-24 18:30:06 UTC
Peter committed something like this


Note You need to log in before you can comment on or make changes to this bug.